Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyProgramElementDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

All Implemented Interfaces:
  Comparable, GroovyDoc, GroovyProgramElementDoc

Direct Known Subclasses:
  SimpleGroovyClassDoc, SimpleGroovyMemberDoc

    public class SimpleGroovyProgramElementDoc

extends SimpleGroovyDoc
implements GroovyProgramElementDoc

Constructor Summary
`SimpleGroovyProgramElementDoc(String name)`
`SimpleGroovyProgramElementDoc(String name, List links)`

Method Summary
`GroovyClassDoc` | `containingClass()`
`GroovyPackageDoc` | `containingPackage()`
`boolean` | `isFinal()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`String` | `modifiers()`
`int` | `modifierSpecifier()`
`String` | `qualifiedName()`
`void` | `setContainingPackage(GroovyPackageDoc packageDoc)`
`void` | `setPublic(boolean publicElement)`
`void` | `setStatic(boolean staticElement)`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
`commentText, compareTo, firstSentenceCommentText, getDocUrl, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, replaceAllTags, setAsInterfaceDefinition, setRawCommentText, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### SimpleGroovyProgramElementDoc

    public SimpleGroovyProgramElementDoc(String name)

### SimpleGroovyProgramElementDoc

    public SimpleGroovyProgramElementDoc(String name,
                                         List links)

Method Detail

### containingPackage

    public GroovyPackageDoc containingPackage()

  Specified by:
    `containingPackage` in interface `GroovyProgramElementDoc`

### setContainingPackage

    public void setContainingPackage(GroovyPackageDoc packageDoc)

### setPublic

    public void setPublic(boolean publicElement)

### isPublic

    public boolean isPublic()

  Specified by:
    `isPublic` in interface `GroovyProgramElementDoc`

### setStatic

    public void setStatic(boolean staticElement)

### isStatic

    public boolean isStatic()

  Specified by:
    `isStatic` in interface `GroovyProgramElementDoc`

### containingClass

    public GroovyClassDoc containingClass()

  Specified by:
    `containingClass` in interface `GroovyProgramElementDoc`

### isFinal

    public boolean isFinal()

  Specified by:
    `isFinal` in interface `GroovyProgramElementDoc`

### isPackagePrivate

    public boolean isPackagePrivate()

  Specified by:
    `isPackagePrivate` in interface `GroovyProgramElementDoc`

### isPrivate

    public boolean isPrivate()

  Specified by:
    `isPrivate` in interface `GroovyProgramElementDoc`

### isProtected

    public boolean isProtected()

  Specified by:
    `isProtected` in interface `GroovyProgramElementDoc`

### modifiers

    public String modifiers()

  Specified by:
    `modifiers` in interface `GroovyProgramElementDoc`

### modifierSpecifier

    public int modifierSpecifier()

  Specified by:
    `modifierSpecifier` in interface `GroovyProgramElementDoc`

### qualifiedName

    public String qualifiedName()

  Specified by:
    `qualifiedName` in interface `GroovyProgramElementDoc`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD